camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jay mann (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAMEL-9936) Camel-parent 17.0 uses incompatible logback-classic and slf4j-api
Date Mon, 02 May 2016 15:41:13 GMT
Jay mann created CAMEL-9936:
-------------------------------

             Summary: Camel-parent 17.0 uses incompatible logback-classic and slf4j-api
                 Key: CAMEL-9936
                 URL: https://issues.apache.org/jira/browse/CAMEL-9936
             Project: Camel
          Issue Type: Bug
          Components: camel-core
    Affects Versions: 2.17.0
            Reporter: Jay mann
            Priority: Minor


Camel-parent 17.0 uses logback-classic:1.1.5 and slf4j-api:1.7.13

These are not compatible and produce the following error: 
java.lang.NoClassDefFoundError: org/slf4j/event/LoggingEvent

See the following page:
http://www.slf4j.org/codes.html


Logback-classic version 1.1.4 and later require slf4j-api version 1.7.15 or later.
With an earlier slf4j-api.jar in the classpath, attempting introspection of a Logger instance
returned by logback version 1.1.4 or later will result in a NoClassDefFoundError similar to
that shown below....




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message